.banner {

    position: relative;

}



.swiper-container {

    width: 100%;

    height: 800px;

    .swiper-slide {

        width: 100%;

        height: 100%;

        position: relative;

    }

    .bg-image {

        position: absolute;

        top: 0px;

        bottom: 0px;

        left: 0px;

        right: 0px;

    }

}



.swiper-pagination-wrap {

    position: absolute;

    display: block;

    width: 100%;

    height: 24px;

    left: 0px;

    bottom: 27px;

    text-align: center;

}



.swiper-pagination {

    position: relative;

    background: url("img/home/swiper_page_bg.png") no-repeat center;

    background-size: 100%;

    padding: 0 30px;

    display: inline-block;

}



.swiper-pagination-bullet.swiper-pagination-bullet-active {

    background: url("img/home/slide-btn-rollover.png") no-repeat center;

    background-size: 100%;

    width: 24px;

    height: 24px;

    border: 0;

}



.swiper-pagination-bullet {

    width: 24px;

    height: 24px;

    border: 0;

    margin: 0 10px;

    background: url("img/home/bullet.png") no-repeat center;

    vertical-align: middle;

    opacity: 1;

}



.btn-intro-more {

    display: inline-block;

    background: url("img/home/btn_more.png") no-repeat right center;

    background-size: auto 100%;

    height: 25px;

    line-height: 25px;

    padding: 0 31px 0 0;

    font-size: 14px;

    color: #fff;

}



.homepage-section {

    a:hover {

        color: #fff;

    }

    .homepage-promotion-section {

        background: #4a0b0b;

        width: 41.6%;

        float: left;

        .homepage-promotion-section-container {

            display: table;

            height: 100%;

            width: 100%;

        }

        p {

            font-size: 1.5em;

            line-height: 2em;

            color: #fff;

            margin: 0 0 25px;

            padding: 0 7.25%;

        }

        h1 {

            display: block;

            text-align: center;

            background: url("img/home/title_border.png") no-repeat bottom center;

            padding: 0 0 25px;

            margin: 0 0 30px;

            font-size: 4em;

            letter-spacing: 3px;

            color: #fff;

        }

        .content-wrap {

            display: table-cell;

            vertical-align: middle;

        }

    }

    .homepage-promotion-section-item {

        width: 29.2%;

        float: left;

        background: #4a0b0b;

        .bg-image();

        .content-wrap {

            position: absolute;

            bottom: 25px;

            left: 0px;

            right: 0px;

            padding-left: 26px;

            padding-right: 75px;

        }

        .grid_bg {

            position: absolute;

            width: 100%;

            height: 100%;

            bottom: 0;

            left: 0;

            background: url("img/home/grid_bg.png") no-repeat bottom;

            background-size: 100%;

        }

        .line {

            /*width: 33px;*/

            height: 5px;

            background-color: #ffffff;

            margin-bottom: 15px;

            display: inline-block;

        }

        .content-wrap {

            font-size: 22px;

            line-height: 30px;

            color: #fff;

            div, p {

                font-size: 22px;

                line-height: 30px;

                color: #fff;

            }

        }

        .btn-goto {

            display: block;

            background: url("img/home/arrow-details.png") no-repeat;

            width: 60px;

            height: 60px;

            position: absolute;

            bottom: 26px;

            right: 22px;

            &:hover {

                background: url("img/home/arrow-details.rollover.png") no-repeat;

            }

        }

    }

    .item {

        position: relative;

        overflow: hidden;

        padding: 0;

        height: 450px;

    }

}



.homepage-video-section {

    position: relative;

    background: #4a0b0b;

    width: 41.6%;

    .homepage-video-mask {

        position: absolute;

        left: 0px;

        right: 0px;

        top: 0px;

        bottom: 0px;

        background-color: rgba(74, 11, 11, 0.4);

    }

    .video-img {

        width: 100%;

        height: 100%;

    }

    iframe {

        width: 100%;

        height: 100%;

        display: none;

    }

}



#btn-play {

    background: url("img/home/icon-play.png") no-repeat;

    width: 90px;

    height: 90px;

    display: block;

    position: absolute;

    top: 50%;

    left: 50%;

    margin-left: -45px;

    margin-top: -45px;

}



.swiper-button-next {

    background: url("img/home/btn_event_next.png") no-repeat center;

}



.swiper-button-prev {

    background: url("img/home/btn_event_prev.png") no-repeat center;

}



.datepicker  {

    height: 410px;

}



.event {

    background: url("img/home/event_bg.png") no-repeat;

    background-size: cover;

    padding: 0;

    overflow: hidden;

    width: 71%;

    float: left;

    height: 450px;

    position: relative;

    padding-left: 10px;

    padding-top: 20px;

    .date {

        width: 90px;

        padding-right: 10px;

        float: left;

    }

    .desc {

        width: ~"calc(100% - 90px)";

        float: left;

        padding-left: 20px;

    }

    h1 {

        display: block;

        text-align: center;

        font-size: 4em;

        color: #4a0b0b;

        padding: 0 0 18px;

        background: url("img/home/event_title_bg.png") no-repeat bottom center;

        margin: 20px 0 69px;

    }

    #btn-event-more {

        background: url("img/home/btn_event_more.png") no-repeat right;

        background-size: auto 100%;

        color: #4a0b0b;

        font-size: 1.4em;

        height: 25px;

        line-height: 25px;

        right: 74px;

        bottom: 30px;

        position: absolute;

        display: inline-block;

        padding-right: 33px;

    }

    .content-wrap {

        position: relative;

        padding-left: 66px;

        padding-right: 66px;

        float: left;

        width: ~"calc(100% - 410px)";

        .swiper-container2 {

            width: 100%;

            overflow: hidden;

            .swiper-slide {

                width: 100%;

                height: 100%;

                .date {

                    h3 {

                        font-size: 4em;

                        color: #4a0b0b;

                    }

                    span {

                        font-size: 1.4em;

                        color: #4a0b0b;

                        font-weight: 600;

                    }

                }

                .desc {

                    background: url("img/home/event_date_border.png") no-repeat left top;

                    position: relative;

                    h2 {

                        color: #4a0b0b;

                        font-size: 2.2em;

                        line-height: 1.5em;

                        padding: 0 0 8px;

                    }

                    .content {

                        font-size: 1.5em;

                        line-height: 2em;

                        color: #373333;

                    }

                    a {

                        font-size: 1em;

                        color: #373333;

                    }

                }

            }

        }

    }

    .mobile {

        display: none;

    }

    .swiper-button-prev,

    .swiper-button-next {

        top: 183px;

        margin-top: auto;

    }

}



.news {

    background: #373333;

    padding-left: 40px;

    padding-right: 40px;

    padding-bottom: 80px;

    position: relative;

    height: 450px;

    width: 29%;

    float: left;

    h1 {

        color: #fff;

        font-size: 4em;

        padding: 38px 0 18px;

        background: url("img/home/cal_title_bg.png") no-repeat bottom center;

        margin-bottom: 25px;

    }

    li {

        list-style: none;

        padding: 17px 0;

        border-bottom: 1px solid #555050;

        .date {

            width: 100px;

            float: left;

        }

        .title {

			width: ~"calc(100% - 100px)";

            float: left;

            font-size: 1.8em;

            color: #fff;

            .ellipsis();

        }

        span {

            font-size: 1.4em;

            color: #fff;

        }

    }

    .btn-intro-more {

        display: inline-block;

        background: url("img/home/arrow-big.png") no-repeat right center;

        background-size: auto 100%;

        height: 25px;

        line-height: 25px;

        padding: 0 31px 0 0;

        font-size: 1.4em;

        color: #fff;

        position: absolute;

        right: 40px;

        bottom: 30px;

    }

}



#datetimepicker {

    display: block;

    float: left;

    width: 410px;

}



.winelist,

.agency-brand {

    width: 29.1%;

    float: left;

    .mask {

        background-color: rgba(0, 0, 0, 0.5);

        position: absolute;

        top: 0px;

        bottom: 0px;

        left: 0px;

        right: 0px;

    }

    .item-container {

        left: 0px;

        right: 0px;

        margin-left: auto;

        margin-right: auto;

        top: 43%;

        position: absolute;

        text-align: center;

    }

    .section-title {

        font-size: 4em;

        letter-spacing: 3px;

        color: #fff;

        padding-bottom: 17px;

        margin-bottom: 12px;

        background: url("img/home/cal_title_bg.png") no-repeat bottom center;

    }

    .btn-goto {

        display: inline-block;

        background: url("img/home/arrow-details.png") no-repeat;

        width: 60px;

        height: 60px;

        &:hover {

            background: url("img/home/arrow-details.rollover.png") no-repeat;

        }

    }

}



.homepage-about-us-section {

    background: #4a0b0b;

    width: 41.8%;

    float: left;

    .item-container {

        display: table;

        height: 100%;

        width: 100%;

    }

    .table-cell {

        display: table-cell;

        vertical-align: middle;

    }

    .editor {

        font-size: 1.5em;

        line-height: 2em;

        color: #fff;

        margin: 0 0 25px;

        padding: 0 7.25%;

        div, p {

            font-size: 1.5em;

            line-height: 2em;

            color: #fff;

            margin: 0 0 25px;

            padding: 0 7.25%;

        }

    }

    .section-title {

        display: block;

        text-align: center;

        background: url("img/home/title_border.png") no-repeat bottom center;

        padding: 0 0 25px;

        margin: 0 0 30px;

        font-size: 4em;

        letter-spacing: 3px;

        color: #fff;

    }

    .content-wrap {

        display: table-cell;

        vertical-align: middle;

    }

}



@media screen and (max-width: 1200px) {

    .homepage-section .homepage-promotion-section {

        width: 100%;

        height: auto;

        padding-top: 28px;

        padding-bottom: 28px;

    }

    .homepage-section .homepage-promotion-section-item {

        width: 50%;

    }

    .homepage-section .homepage-video-section {

        width: 100%;

        height: auto;

    }

    .datepicker  {

        height: auto;

    }    

    .event {

        width: 100%;

        height: auto;

        #datetimepicker {

            width: 100%;

            max-width: 410px;

            margin-left: auto;

            margin-right: auto;

            display: block;

            float: none;

            margin-bottom: 50px;

        }

    }

    .event .content-wrap {

        width: 100%;

        position: relative;

    }

    .event .mobile {

        display: block;

    }

    .event .desktop {

        display: none;

    }

    .event #btn-event-more {

        position: absolute;

        bottom: 0px;

        right: 20px;

    }

    .news {

        width: 100%;

        height: auto;

    }

    .news .btn-intro-more {

        bottom: 30px;

    }

    .homepage-section .winelist, .homepage-section .agency-brand {

        width: 50%;

        height: 309px;

    }

    .winelist .item-container, .agency-brand .item-container {

        top: 50%;

        margin-top: -70px;

    }

    .homepage-section .homepage-about-us-section {

        width: 100%;

        height: auto;

        padding-top: 50px;

        padding-bottom: 50px;

    }

    .event {

        padding-top: 0px;

        padding-left: 0px;

    }

    .event h1.mobile {

        margin-top: 29px;

        padding-bottom: 8px;

        margin-bottom: 20px;

    }

    .event .content-wrap {

        padding-left: 50px;

        padding-right: 50px;

        padding-bottom: 55px;

        height: 195px;

    }

    .event #btn-event-more {

        bottom: 28px;

    }

    .news {

        padding-left: 20px;

        padding-right: 20px;

    }

    .news li {

        padding-left: 10px;

        padding-right: 10px;

    }

    .event .swiper-button-prev, .event .swiper-button-next {

        top: 5px;

    }

}



@media screen and (max-width: @screen-sm-max) {

    .homepage-section .homepage-promotion-section h1 {

        padding-bottom: 22px;

    }

    .homepage-section .item {

        height: 310px;

    }

    .homepage-section .homepage-promotion-section {

        height: auto;

    }

    .homepage-section .homepage-promotion-section-item .content-wrap  {

        bottom: 14px;

        padding-left: 18px;

        padding-right: 70px;

    }

    .homepage-section .homepage-promotion-section-item .btn-goto {

        bottom: 16px;

        right: 16px;

    }

    .swiper-container {

        height: 410px;

    }

    .promotion .intro.item {

        height: auto;

    }

    .homepage-section .homepage-video-section {

        height: auto;

    }

    .homepage-section .homepage-about-us-section {

        height: auto;

    }

}



@media screen and (max-width: @screen-xs-max) {

    .homepage-section .homepage-promotion-section-item {

        width: 100%;

        height: 385px;

    }

    .homepage-section .winelist, .homepage-section .agency-brand {

        height: 387px;

        width: 100%;

    }

}